package com.kingtom.shengtai.app.srm.service;

import java.util.List;

import com.kingtom.kirin.core.common.base.service.IBaseService;
import com.kingtom.shengtai.app.srm.model.SrmSupplier;
import com.kingtom.shengtai.app.srm.model.SrmSupplierDO;
import com.mybatisflex.core.paginate.Page;

/**
 * 供应商信息表 服务层。
 *
 * @author wany
 * @since 2023 -12-21
 */
public interface ISrmSupplierService extends IBaseService<SrmSupplier>{

    SrmSupplierDO create(SrmSupplier entity);

    void deleteById(String id);

    void deleteByIds(List<String> ids);

    SrmSupplierDO update(SrmSupplier entity);

    SrmSupplierDO findById(String id);

    SrmSupplier findByPerson(String personId);

    Page<SrmSupplierDO> page(String name, String type, String state, List<String> products, Integer pageNum,
            Integer pageSize);

    void appeal(String userId, String content);

}
